#include<iostream>
#include<vector>
#include<algorithm>
using namespace std;
int main(){
    int n;
    cin>>n;
    vector<int64_t> potwor(n);
    for(int j = 0; j < n; j++){
        cin>>potwor[j];
    }

    vector<int64_t> punkty(n+1);
    punkty[1]=potwor[0];
    for(int i=1; i<n; i++) {
        punkty[i+1] = max(punkty[i], punkty[i-1]+potwor[i]);
    }
    cout<<punkty[n];
}
